Bug 50955 - up2date --configure doesn't work well with old style config files
up2date --configure doesn't work well with old style config files
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-08-05 13:07 EDT by Peter Bowen
Modified: 2015-01-07 18:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-10 20:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bowen 2001-08-05 13:07:47 EDT
In up2date v1.x config files, pkgProxy was set to be the package server if
no proxy was used.  It defaulted to priority.redhat.com.  If this style
config file is used with a current up2date it won't work as the XML-RPC
methods for modern up2date clients are not on priority.redhat.com.

The natural solution is to run up2date --configure and have it write a new
config file.  This works fine, execpt for that it puts priority.redhat.com
in the proxy section of the new config file, preventing it from working

I think that the proper solution is to leave proxy server blank in the new
configfile if pkgProxy == pgkServer in the original config file
Comment 1 Cristian Gafton 2001-08-10 16:57:05 EDT
Assigned to the owner of component
Comment 2 Adrian Likins 2001-08-10 18:21:12 EDT
Hmmm. pkgProxy is set to priority?  That seems odd to me.

Need to dig into it a bit more. I'll take a look.
Comment 3 Peter Bowen 2001-08-10 20:18:48 EDT
Switching to Beta Program
Comment 4 Adrian Likins 2002-03-26 18:07:32 EST
should be fixed in current version, the name of the proxy
config option changed along time ago

Note You need to log in before you can comment on or make changes to this bug.